# Redis storage data structure

## Player data

- key type : string (json)
- key name : uuid

| Field       | Type    | Description                     |
|-------------|---------|---------------------------------|
| uuid        | string  | player uuid                     |
| name        | string  | player name                     |
| ip          | string  | player ip                       |
| first_join  | string  | player first join time          |
| last_join   | string  | player last join time           |
| play_time   | double  | player play time                |
| last_loc    | string  | player last location            |
| inventory   | string  | player inventory hash           |
| enderchest  | string  | player enderchests hash         |
| health      | double  | player health                   |
| defense     | double  | player defense                  |
| strength    | double  | player strength                 |
| speed       | double  | player speed                    |
| luck        | double  | player luck                     |
| mana        | double  | player mana                     |
| exp         | double  | player exp until the next level |
| level       | integer | player level                    |
| money       | double  | player money                    |
| kills       | integer | player kills                    |
| deaths      | integer | player deaths                   |
| collections | string  | player collections hash         |

## Config data

- key type : Hash
- key name : config_${server_name}

| Field          | Type    | Description              |
|----------------|---------|--------------------------|
| server_name    | string  | server name              |
| server_motd    | string  | server motd              |
| server_address | string  | server address           |
| server_port    | integer | server port              |
| days           | integer | days the server was open |
| online         | integer | online players           |
